# IRdUVCoordStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumUVCoords ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumUVCoords ([in] RtDWORD dwNumUVCoords)
## Properties
RtFloat * | u ([in] RtDWORD dwIndex)`[get]`
RtFloat | u ([in] RtDWORD dwIndex)`[set]`
RtFloat * | v ([in] RtDWORD dwIndex)`[get]`
RtFloat | v ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdUVCoordStream specifies data stream to texture coordinates index stream (IRdUVTriangleStream).

The stream is part of IRdMesh and is stored in Custom stream group. Stream is identified by STREAMID_UVCOORDS_COORDINATES_1 id.

## Member Function Documentation

HRESULT IRdUVCoordStream::GetNumUVCoords | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of UV coordinates.

Returns:
  dwNumVertices [out,retval] Value returned for number of UV coords found.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdUVCoordStream::SetNumUVCoords | ( | [in] RtDWORD | dwNumUVCoords | ) |

Set number of UV coordinates.

Parameters:

  | dwNumUVCoords | [in] Value to set for number of UV coordinates.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdUVCoordStream::u([in] RtDWORD dwIndex)`[get]`

Get U texture coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.

Returns:
  pVal [out, retval] Filled with U coordinate after successful return.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdUVCoordStream::u([in] RtDWORD dwIndex)`[set]`

Set U texture coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.
  | newVal | [in] U-texture coordinate to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdUVCoordStream::v([in] RtDWORD dwIndex)`[get]`

Get V texture coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.

Returns:
  pVal [out, retval] Filled with V coordinate after successful return.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdUVCoordStream::v([in] RtDWORD dwIndex)`[set]`

Set V texture coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.
  | newVal | [in] V-texture coordinate to set.

Returns:
  standard HRESULT processing can be applied to returned value.